--=|Classes with Components Broad|=--

SELECT     wk_classes.*, wk_components.*
FROM       wk_classes
INNER JOIN                               wk_components
ON         wk_classes.wk_components_fk = wk_components.id

--=|Classes with Components|=--


SELECT wk_classes.name          AS ClassName,
       wk_components.name       AS ComponentName,
       wk_classes.inherits_name AS InheritsName

FROM       wk_classes 
INNER JOIN                               wk_components 
ON         wk_classes.wk_components_fk = wk_components.id

ORDER BY   ClassName, ComponentName	 

